summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStuart Herbert <stuart@gentoo.org>2005-09-04 10:54:53 +0000
committerStuart Herbert <stuart@gentoo.org>2005-09-04 10:54:53 +0000
commitb2b5dfe39b0f2c17d434a86869e08db4770068f4 (patch)
tree37920066f3921c7bec781cdf00f669d958e40ea6 /eclass/php-pear.eclass
parentDon't install COPYING and INSTALL files. (diff)
downloadhistorical-b2b5dfe39b0f2c17d434a86869e08db4770068f4.tar.gz
historical-b2b5dfe39b0f2c17d434a86869e08db4770068f4.tar.bz2
historical-b2b5dfe39b0f2c17d434a86869e08db4770068f4.zip
New & updated eclasses for new PHP packages
Diffstat (limited to 'eclass/php-pear.eclass')
-rw-r--r--eclass/php-pear.eclass24
1 files changed, 12 insertions, 12 deletions
diff --git a/eclass/php-pear.eclass b/eclass/php-pear.eclass
index f41a6ee8d348..d0e287707b4f 100644
--- a/eclass/php-pear.eclass
+++ b/eclass/php-pear.eclass
@@ -1,6 +1,6 @@
-# Copyright 1999-2004 Gentoo Foundation
+# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear.eclass,v 1.11 2005/07/06 20:23:20 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear.eclass,v 1.12 2005/09/04 10:54:53 stuart Exp $
#
# Author: Tal Peer <coredumb@gentoo.org>
#
@@ -14,35 +14,35 @@ EXPORT_FUNCTIONS src_install
# Set this is the the package name on PEAR is different than the one in
# portage (generally shouldn't be the case).
-[ -z "$PHP_PEAR_PKG_NAME" ] && PHP_PEAR_PKG_NAME=${PN/PEAR-/}
+[ -z "${PHP_PEAR_PKG_NAME}" ] && PHP_PEAR_PKG_NAME=${PN/PEAR-/}
-# We must depend on the virtual as well as the base package as we need it to do
+# We must depend on the base package as we need it to do
# install tasks (it provides the pear binary).
-DEPEND="$DEPEND virtual/php dev-php/php"
-RDEPEND="$RDEPEND $DEPEND"
+DEPEND="${DEPEND} dev-lang/php"
+RDEPEND="${RDEPEND} ${DEPEND}"
fix_PEAR_PV() {
- tmp=$PV
+ tmp=${PV}
tmp=${tmp/_/}
tmp=${tmp/rc/RC}
tmp=${tmp/beta/b}
- PEAR_PV=$tmp
+ PEAR_PV=${tmp}
}
PEAR_PV=""
fix_PEAR_PV
PEAR_PN=${PHP_PEAR_PKG_NAME}-${PEAR_PV}
-[ -z "$SRC_URI" ] && SRC_URI="http://pear.php.net/get/${PEAR_PN}.tgz"
-[ -z "$HOMEPAGE" ] && HOMEPAGE="http://pear.php.net/${PHP_PEAR_PKG_NAME}"
+[ -z "${SRC_URI}" ] && SRC_URI="http://pear.php.net/get/${PEAR_PN}.tgz"
+[ -z "${HOMEPAGE}" ] && HOMEPAGE="http://pear.php.net/${PHP_PEAR_PKG_NAME}"
S="${WORKDIR}/${PEAR_PN}"
-php-pear_src_install () {
+php-pear_src_install() {
# SNMP is nuts sometimes
addpredict /usr/share/snmp/mibs/.index
addpredict /var/lib/net-snmp/
cd ${S}
mv ${WORKDIR}/package.xml ${S}
- pear install --nodeps -R ${D} ${S}/package.xml || die
+ pear install --nodeps --installroot=${D} ${S}/package.xml || die "Unable to install PEAR package"
}